    Program g01gcfe

!     G01GCF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: g01gcf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: df, prob, rlamda, tol, x
      Integer                          :: ifail, maxit
!     .. Executable Statements ..
      Write (nout,*) 'G01GCF Example Program Results'
      Write (nout,*)

!     Skip heading in data file
      Read (nin,*)

!     Display titles
      Write (nout,*) '     X       DF   RLAMDA   PROB'
      Write (nout,*)

!     Use default tolerance and suggested number of iterations
      tol = 0.0E0_nag_wp
      maxit = 100

d_lp: Do
        Read (nin,*,Iostat=ifail) x, df, rlamda
        If (ifail/=0) Then
          Exit d_lp
        End If

!       Calculate probability
        ifail = 0
        prob = g01gcf(x,df,rlamda,tol,maxit,ifail)

!       Display results
        Write (nout,99999) x, df, rlamda, prob
      End Do d_lp

99999 Format (1X,3F8.3,F8.4,A,I1)
    End Program g01gcfe
